%define upstream_name    Syntax-Keyword-Match
%define upstream_version 0.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A C<match/case> syntax for perl
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Syntax/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Test2::V0) >= 0.0.147
BuildRequires: perl(XS::Parse::Infix::Builder)
BuildRequires: perl(XS::Parse::Keyword) >= 0.360.0
BuildRequires: perl(XS::Parse::Keyword::Builder) >= 0.360.0
BuildRequires: perl-devel
%description
This module provides a syntax plugin that implements a control-flow block
called 'match/case', which executes at most one of a choice of different
blocks depending on the value of its controlling expression.

This is similar to C's 'switch/case' syntax (copied into many other
languages), or syntax provided by the Switch::Plain manpage.

This is an initial, experimental implementation. Furthermore, it is built
as a non-trivial example use-case on top of the XS::Parse::Keyword manpage,
which is also experimental. No API or compatibility guarantees are made at
this time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.130.0-2.mga10
+ Revision: 2012364
- Rebuild for perl-5.38

* Wed Sep 06 2023 tv <tv> 0.130.0-1.mga10
+ Revision: 1984743
- update to 0.13

* Thu Dec 29 2022 tv <tv> 0.100.0-1.mga9
+ Revision: 1927740
- update to 0.10

* Wed Aug 03 2022 tv <tv> 0.90.0-2.mga9
+ Revision: 1874751
- Rebuild b/c of "lib/Syntax/Keyword/Match.c: loadable library and perl binaries are mismatched (got first handshake key 0xeb00080, needed 0xeb80080)"

* Sun Apr 03 2022 guillomovitch <guillomovitch> 0.90.0-1.mga9
+ Revision: 1841994
- imported package perl-Syntax-Keyword-Match

